> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Check bare metal quota

> Check if the regional quota is exceeded for bare metal server creation.
If exceeded, calculate additional quotas needed.



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml post /cloud/v1/bminstances/{project_id}/{region_id}/check_limits
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/bminstances/{project_id}/{region_id}/check_limits:
    post:
      tags:
        - Bare Metal
      summary: Check bare metal quota
      description: |-
        Check if the regional quota is exceeded for bare metal server creation.
        If exceeded, calculate additional quotas needed.
      operationId: BMInstanceCheckLimitsHandler.post
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 1
            examples:
              - 1
            title: Region Id
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CheckQuotaBeforeBMCreationSerializer'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegionRequestedQuotasSerializer'
components:
  schemas:
    CheckQuotaBeforeBMCreationSerializer:
      properties:
        flavor:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Bare metal flavor name.
          examples:
            - bm1-basic-medium
          title: Flavor
        interfaces:
          description: Subnet IPs and floating IPs
          example:
            - network_id: 024a29e9-b4b7-4c91-9a46-505be123d9f8
              subnet_id: 91200a6c-07e0-42aa-98da-32d1f6545ae7
              type: subnet
          examples:
            - - network_id: 024a29e9-b4b7-4c91-9a46-505be123d9f8
                subnet_id: 91200a6c-07e0-42aa-98da-32d1f6545ae7
                type: subnet
          items:
            $ref: '#/components/schemas/NewVmInterfaceSerializersPydantic'
          title: Interfaces
          type: array
        name_templates:
          description: >-
            A list of instance name templates. Either this or `names` must be
            specified.
          example:
            - my-instance-{ip_octets}
          examples:
            - - my-instance-{ip_octets}
          items:
            anyOf:
              - type: string
              - type: 'null'
          title: Name Templates
          type: array
        names:
          description: >-
            A list of instance names. Either this or `name_templates` must be
            specified.
          example:
            - my-instance-1
          examples:
            - - my-instance-1
          items:
            type: string
          title: Names
          type: array
      title: CheckQuotaBeforeBMCreationSerializer
      type: object
    RegionRequestedQuotasSerializer:
      properties:
        baremetal_basic_count_limit:
          description: Basic bare metal servers count limit
          example: 0
          examples:
            - 0
          title: Baremetal Basic Count Limit
          type: integer
        baremetal_basic_count_requested:
          description: Basic bare metal servers count requested
          example: 1
          examples:
            - 1
          title: Baremetal Basic Count Requested
          type: integer
        baremetal_basic_count_usage:
          description: Basic bare metal servers count usage
          example: 0
          examples:
            - 0
          title: Baremetal Basic Count Usage
          type: integer
        baremetal_gpu_a100_count_limit:
          description: Bare metal A100 GPU server count limit
          example: 0
          examples:
            - 0
          title: Baremetal Gpu A100 Count Limit
          type: integer
        baremetal_gpu_a100_count_requested:
          description: Bare metal A100 GPU server count requested
          example: 1
          examples:
            - 1
          title: Baremetal Gpu A100 Count Requested
          type: integer
        baremetal_gpu_a100_count_usage:
          description: Bare metal A100 GPU server count usage
          example: 0
          examples:
            - 0
          title: Baremetal Gpu A100 Count Usage
          type: integer
        baremetal_gpu_h100_count_limit:
          description: Bare metal H100 GPU server count limit
          example: 0
          examples:
            - 0
          title: Baremetal Gpu H100 Count Limit
          type: integer
        baremetal_gpu_h100_count_requested:
          description: Bare metal H100 GPU server count requested
          example: 1
          examples:
            - 1
          title: Baremetal Gpu H100 Count Requested
          type: integer
        baremetal_gpu_h100_count_usage:
          description: Bare metal H100 GPU server count usage
          example: 0
          examples:
            - 0
          title: Baremetal Gpu H100 Count Usage
          type: integer
        baremetal_gpu_h200_count_limit:
          description: Bare metal H200 GPU server count limit
          example: 0
          examples:
            - 0
          title: Baremetal Gpu H200 Count Limit
          type: integer
        baremetal_gpu_h200_count_requested:
          description: Bare metal H200 GPU server count requested
          example: 1
          examples:
            - 1
          title: Baremetal Gpu H200 Count Requested
          type: integer
        baremetal_gpu_h200_count_usage:
          description: Bare metal H200 GPU server count usage
          example: 0
          examples:
            - 0
          title: Baremetal Gpu H200 Count Usage
          type: integer
        baremetal_gpu_l40s_count_limit:
          description: Bare metal L40S GPU server count limit
          example: 0
          examples:
            - 0
          title: Baremetal Gpu L40S Count Limit
          type: integer
        baremetal_gpu_l40s_count_requested:
          description: Bare metal L40S GPU server count requested
          example: 1
          examples:
            - 1
          title: Baremetal Gpu L40S Count Requested
          type: integer
        baremetal_gpu_l40s_count_usage:
          description: Bare metal L40S GPU server count usage
          example: 0
          examples:
            - 0
          title: Baremetal Gpu L40S Count Usage
          type: integer
        baremetal_hf_count_limit:
          description: High-frequency bare metal servers count limit
          example: 0
          examples:
            - 0
          title: Baremetal Hf Count Limit
          type: integer
        baremetal_hf_count_requested:
          description: High-frequency bare metal servers count requested
          example: 1
          examples:
            - 1
          title: Baremetal Hf Count Requested
          type: integer
        baremetal_hf_count_usage:
          description: High-frequency bare metal servers count usage
          example: 0
          examples:
            - 0
          title: Baremetal Hf Count Usage
          type: integer
        baremetal_infrastructure_count_limit:
          description: Infrastructure bare metal servers count limit
          example: 0
          examples:
            - 0
          title: Baremetal Infrastructure Count Limit
          type: integer
        baremetal_infrastructure_count_requested:
          description: Infrastructure bare metal servers count requested
          example: 1
          examples:
            - 1
          title: Baremetal Infrastructure Count Requested
          type: integer
        baremetal_infrastructure_count_usage:
          description: Infrastructure bare metal servers count usage
          example: 0
          examples:
            - 0
          title: Baremetal Infrastructure Count Usage
          type: integer
        baremetal_network_count_limit:
          description: Bare metal Network Count limit
          example: 0
          examples:
            - 0
          title: Baremetal Network Count Limit
          type: integer
        baremetal_network_count_requested:
          description: Bare metal Network Count requested
          example: 1
          examples:
            - 1
          title: Baremetal Network Count Requested
          type: integer
        baremetal_network_count_usage:
          description: Bare metal Network Count usage
          example: 0
          examples:
            - 0
          title: Baremetal Network Count Usage
          type: integer
        baremetal_storage_count_limit:
          description: Storage bare metal servers count limit
          example: 0
          examples:
            - 0
          title: Baremetal Storage Count Limit
          type: integer
        baremetal_storage_count_requested:
          description: Storage bare metal servers count requested
          example: 1
          examples:
            - 1
          title: Baremetal Storage Count Requested
          type: integer
        baremetal_storage_count_usage:
          description: Storage bare metal servers count usage
          example: 0
          examples:
            - 0
          title: Baremetal Storage Count Usage
          type: integer
        caas_container_count_limit:
          description: Containers count limit
          example: 0
          examples:
            - 0
          title: Caas Container Count Limit
          type: integer
        caas_container_count_requested:
          description: Containers count requested
          example: 1
          examples:
            - 1
          title: Caas Container Count Requested
          type: integer
        caas_container_count_usage:
          description: Containers count usage
          example: 0
          examples:
            - 0
          title: Caas Container Count Usage
          type: integer
        caas_cpu_count_limit:
          description: mCPU count for containers limit
          example: 0
          examples:
            - 0
          title: Caas Cpu Count Limit
          type: integer
        caas_cpu_count_requested:
          description: mCPU count for containers requested
          example: 1
          examples:
            - 1
          title: Caas Cpu Count Requested
          type: integer
        caas_cpu_count_usage:
          description: mCPU count for containers usage
          example: 0
          examples:
            - 0
          title: Caas Cpu Count Usage
          type: integer
        caas_gpu_count_limit:
          description: Containers gpu count limit
          example: 0
          examples:
            - 0
          title: Caas Gpu Count Limit
          type: integer
        caas_gpu_count_requested:
          description: Containers gpu count requested
          example: 1
          examples:
            - 1
          title: Caas Gpu Count Requested
          type: integer
        caas_gpu_count_usage:
          description: Containers gpu count usage
          example: 0
          examples:
            - 0
          title: Caas Gpu Count Usage
          type: integer
        caas_ram_size_limit:
          description: MiB memory count for containers limit
          example: 0
          examples:
            - 0
          title: Caas Ram Size Limit
          type: integer
        caas_ram_size_requested:
          description: MiB memory count for containers requested
          example: 1
          examples:
            - 1
          title: Caas Ram Size Requested
          type: integer
        caas_ram_size_usage:
          description: MiB memory count for containers usage
          example: 0
          examples:
            - 0
          title: Caas Ram Size Usage
          type: integer
        cluster_count_limit:
          description: K8s clusters count limit
          example: 0
          examples:
            - 0
          title: Cluster Count Limit
          type: integer
        cluster_count_requested:
          description: K8s clusters count requested
          example: 1
          examples:
            - 1
          title: Cluster Count Requested
          type: integer
        cluster_count_usage:
          description: K8s clusters count usage
          example: 0
          examples:
            - 0
          title: Cluster Count Usage
          type: integer
        cpu_count_limit:
          description: vCPU Count limit
          example: 0
          examples:
            - 0
          title: Cpu Count Limit
          type: integer
        cpu_count_requested:
          description: vCPU Count requested
          example: 1
          examples:
            - 1
          title: Cpu Count Requested
          type: integer
        cpu_count_usage:
          description: vCPU Count usage
          example: 0
          examples:
            - 0
          title: Cpu Count Usage
          type: integer
        dbaas_postgres_cluster_count_limit:
          description: DBaaS cluster count limit
          example: 0
          examples:
            - 0
          title: Dbaas Postgres Cluster Count Limit
          type: integer
        dbaas_postgres_cluster_count_requested:
          description: DBaaS cluster count requested
          example: 1
          examples:
            - 1
          title: Dbaas Postgres Cluster Count Requested
          type: integer
        dbaas_postgres_cluster_count_usage:
          description: DBaaS cluster count usage
          example: 0
          examples:
            - 0
          title: Dbaas Postgres Cluster Count Usage
          type: integer
        external_ip_count_limit:
          description: External IP Count limit
          example: 0
          examples:
            - 0
          title: External Ip Count Limit
          type: integer
        external_ip_count_requested:
          description: External IP Count requested
          example: 1
          examples:
            - 1
          title: External Ip Count Requested
          type: integer
        external_ip_count_usage:
          description: External IP Count usage
          example: 0
          examples:
            - 0
          title: External Ip Count Usage
          type: integer
        faas_cpu_count_limit:
          description: mCPU count for functions limit
          example: 0
          examples:
            - 0
          title: Faas Cpu Count Limit
          type: integer
        faas_cpu_count_requested:
          description: mCPU count for functions requested
          example: 1
          examples:
            - 1
          title: Faas Cpu Count Requested
          type: integer
        faas_cpu_count_usage:
          description: mCPU count for functions usage
          example: 0
          examples:
            - 0
          title: Faas Cpu Count Usage
          type: integer
        faas_function_count_limit:
          description: Functions count limit
          example: 0
          examples:
            - 0
          title: Faas Function Count Limit
          type: integer
        faas_function_count_requested:
          description: Functions count requested
          example: 1
          examples:
            - 1
          title: Faas Function Count Requested
          type: integer
        faas_function_count_usage:
          description: Functions count usage
          example: 0
          examples:
            - 0
          title: Faas Function Count Usage
          type: integer
        faas_namespace_count_limit:
          description: Functions namespace count limit
          example: 0
          examples:
            - 0
          title: Faas Namespace Count Limit
          type: integer
        faas_namespace_count_requested:
          description: Functions namespace count requested
          example: 1
          examples:
            - 1
          title: Faas Namespace Count Requested
          type: integer
        faas_namespace_count_usage:
          description: Functions namespace count usage
          example: 0
          examples:
            - 0
          title: Faas Namespace Count Usage
          type: integer
        faas_ram_size_limit:
          description: MiB memory count for functions limit
          example: 0
          examples:
            - 0
          title: Faas Ram Size Limit
          type: integer
        faas_ram_size_requested:
          description: MiB memory count for functions requested
          example: 1
          examples:
            - 1
          title: Faas Ram Size Requested
          type: integer
        faas_ram_size_usage:
          description: MiB memory count for functions usage
          example: 0
          examples:
            - 0
          title: Faas Ram Size Usage
          type: integer
        firewall_count_limit:
          description: Firewalls Count limit
          example: 0
          examples:
            - 0
          title: Firewall Count Limit
          type: integer
        firewall_count_requested:
          description: Firewalls Count requested
          example: 1
          examples:
            - 1
          title: Firewall Count Requested
          type: integer
        firewall_count_usage:
          description: Firewalls Count usage
          example: 0
          examples:
            - 0
          title: Firewall Count Usage
          type: integer
        floating_count_limit:
          description: Floating IP Count limit
          example: 0
          examples:
            - 0
          title: Floating Count Limit
          type: integer
        floating_count_requested:
          description: Floating IP Count requested
          example: 1
          examples:
            - 1
          title: Floating Count Requested
          type: integer
        floating_count_usage:
          description: Floating IP Count usage
          example: 0
          examples:
            - 0
          title: Floating Count Usage
          type: integer
        gpu_count_limit:
          description: GPU Count limit
          example: 0
          examples:
            - 0
          title: Gpu Count Limit
          type: integer
        gpu_count_requested:
          description: GPU Count requested
          example: 1
          examples:
            - 1
          title: Gpu Count Requested
          type: integer
        gpu_count_usage:
          description: GPU Count usage
          example: 0
          examples:
            - 0
          title: Gpu Count Usage
          type: integer
        gpu_virtual_a100_count_limit:
          description: Virtual A100 GPU card count limit
          example: 0
          examples:
            - 0
          title: Gpu Virtual A100 Count Limit
          type: integer
        gpu_virtual_a100_count_requested:
          description: Virtual A100 GPU card count requested
          example: 1
          examples:
            - 1
          title: Gpu Virtual A100 Count Requested
          type: integer
        gpu_virtual_a100_count_usage:
          description: Virtual A100 GPU card count usage
          example: 0
          examples:
            - 0
          title: Gpu Virtual A100 Count Usage
          type: integer
        gpu_virtual_h100_count_limit:
          description: Virtual H100 GPU card count limit
          example: 0
          examples:
            - 0
          title: Gpu Virtual H100 Count Limit
          type: integer
        gpu_virtual_h100_count_requested:
          description: Virtual H100 GPU card count requested
          example: 1
          examples:
            - 1
          title: Gpu Virtual H100 Count Requested
          type: integer
        gpu_virtual_h100_count_usage:
          description: Virtual H100 GPU card count usage
          example: 0
          examples:
            - 0
          title: Gpu Virtual H100 Count Usage
          type: integer
        gpu_virtual_h200_count_limit:
          description: Virtual H200 GPU card count limit
          example: 0
          examples:
            - 0
          title: Gpu Virtual H200 Count Limit
          type: integer
        gpu_virtual_h200_count_requested:
          description: Virtual H200 GPU card count requested
          example: 1
          examples:
            - 1
          title: Gpu Virtual H200 Count Requested
          type: integer
        gpu_virtual_h200_count_usage:
          description: Virtual H200 GPU card count usage
          example: 0
          examples:
            - 0
          title: Gpu Virtual H200 Count Usage
          type: integer
        gpu_virtual_l40s_count_limit:
          description: Virtual L40S GPU card count limit
          example: 0
          examples:
            - 0
          title: Gpu Virtual L40S Count Limit
          type: integer
        gpu_virtual_l40s_count_requested:
          description: Virtual L40S GPU card count requested
          example: 1
          examples:
            - 1
          title: Gpu Virtual L40S Count Requested
          type: integer
        gpu_virtual_l40s_count_usage:
          description: Virtual L40S GPU card count usage
          example: 0
          examples:
            - 0
          title: Gpu Virtual L40S Count Usage
          type: integer
        image_count_limit:
          description: Images Count limit
          example: 0
          examples:
            - 0
          title: Image Count Limit
          type: integer
        image_count_requested:
          description: Images Count requested
          example: 1
          examples:
            - 1
          title: Image Count Requested
          type: integer
        image_count_usage:
          description: Images Count usage
          example: 0
          examples:
            - 0
          title: Image Count Usage
          type: integer
        image_size_limit:
          description: Images Size, bytes limit
          example: 0
          examples:
            - 0
          title: Image Size Limit
          type: integer
        image_size_requested:
          description: Images Size, bytes requested
          example: 1
          examples:
            - 1
          title: Image Size Requested
          type: integer
        image_size_usage:
          description: Images Size, bytes usage
          example: 0
          examples:
            - 0
          title: Image Size Usage
          type: integer
        ipu_count_limit:
          description: IPU Count limit
          example: 0
          examples:
            - 0
          title: Ipu Count Limit
          type: integer
        ipu_count_requested:
          description: IPU Count requested
          example: 1
          examples:
            - 1
          title: Ipu Count Requested
          type: integer
        ipu_count_usage:
          description: IPU Count usage
          example: 0
          examples:
            - 0
          title: Ipu Count Usage
          type: integer
        laas_topic_count_limit:
          description: LaaS Topics Count limit
          example: 0
          examples:
            - 0
          title: Laas Topic Count Limit
          type: integer
        laas_topic_count_requested:
          description: LaaS Topics Count requested
          example: 1
          examples:
            - 1
          title: Laas Topic Count Requested
          type: integer
        laas_topic_count_usage:
          description: LaaS Topics Count usage
          example: 0
          examples:
            - 0
          title: Laas Topic Count Usage
          type: integer
        loadbalancer_count_limit:
          description: Load Balancers Count limit
          example: 0
          examples:
            - 0
          title: Loadbalancer Count Limit
          type: integer
        loadbalancer_count_requested:
          description: Load Balancers Count requested
          example: 1
          examples:
            - 1
          title: Loadbalancer Count Requested
          type: integer
        loadbalancer_count_usage:
          description: Load Balancers Count usage
          example: 0
          examples:
            - 0
          title: Loadbalancer Count Usage
          type: integer
        network_count_limit:
          description: Networks Count limit
          example: 0
          examples:
            - 0
          title: Network Count Limit
          type: integer
        network_count_requested:
          description: Networks Count requested
          example: 1
          examples:
            - 1
          title: Network Count Requested
          type: integer
        network_count_usage:
          description: Networks Count usage
          example: 0
          examples:
            - 0
          title: Network Count Usage
          type: integer
        ram_limit:
          description: RAM Size, MiB limit
          example: 0
          examples:
            - 0
          title: Ram Limit
          type: integer
        ram_requested:
          description: RAM Size, MiB requested
          example: 1
          examples:
            - 1
          title: Ram Requested
          type: integer
        ram_usage:
          description: RAM Size, MiB usage
          example: 0
          examples:
            - 0
          title: Ram Usage
          type: integer
        registry_count_limit:
          description: Registries count limit
          example: 0
          examples:
            - 0
          title: Registry Count Limit
          type: integer
        registry_count_requested:
          description: Registries count requested
          example: 1
          examples:
            - 1
          title: Registry Count Requested
          type: integer
        registry_count_usage:
          description: Registries count usage
          example: 0
          examples:
            - 0
          title: Registry Count Usage
          type: integer
        registry_storage_limit:
          description: Registries volume usage, GiB limit
          example: 0
          examples:
            - 0
          title: Registry Storage Limit
          type: integer
        registry_storage_requested:
          description: Registries volume usage, GiB requested
          example: 1
          examples:
            - 1
          title: Registry Storage Requested
          type: integer
        registry_storage_usage:
          description: Registries volume usage, GiB usage
          example: 0
          examples:
            - 0
          title: Registry Storage Usage
          type: integer
        router_count_limit:
          description: Routers Count limit
          example: 0
          examples:
            - 0
          title: Router Count Limit
          type: integer
        router_count_requested:
          description: Routers Count requested
          example: 1
          examples:
            - 1
          title: Router Count Requested
          type: integer
        router_count_usage:
          description: Routers Count usage
          example: 0
          examples:
            - 0
          title: Router Count Usage
          type: integer
        secret_count_limit:
          description: Secret Count limit
          example: 0
          examples:
            - 0
          title: Secret Count Limit
          type: integer
        secret_count_requested:
          description: Secret Count requested
          example: 1
          examples:
            - 1
          title: Secret Count Requested
          type: integer
        secret_count_usage:
          description: Secret Count usage
          example: 0
          examples:
            - 0
          title: Secret Count Usage
          type: integer
        servergroup_count_limit:
          description: Placement Group Count limit
          example: 0
          examples:
            - 0
          title: Servergroup Count Limit
          type: integer
        servergroup_count_requested:
          description: Placement Group Count requested
          example: 1
          examples:
            - 1
          title: Servergroup Count Requested
          type: integer
        servergroup_count_usage:
          description: Placement Group Count usage
          example: 0
          examples:
            - 0
          title: Servergroup Count Usage
          type: integer
        sfs_count_limit:
          description: Shared file system Count limit
          example: 0
          examples:
            - 0
          title: Sfs Count Limit
          type: integer
        sfs_count_requested:
          description: Shared file system Count requested
          example: 1
          examples:
            - 1
          title: Sfs Count Requested
          type: integer
        sfs_count_usage:
          description: Shared file system Count usage
          example: 0
          examples:
            - 0
          title: Sfs Count Usage
          type: integer
        sfs_size_limit:
          description: Shared file system Size, GiB limit
          example: 0
          examples:
            - 0
          title: Sfs Size Limit
          type: integer
        sfs_size_requested:
          description: Shared file system Size, GiB requested
          example: 1
          examples:
            - 1
          title: Sfs Size Requested
          type: integer
        sfs_size_usage:
          description: Shared file system Size, GiB usage
          example: 0
          examples:
            - 0
          title: Sfs Size Usage
          type: integer
        shared_vm_count_limit:
          description: Basic VMs Count limit
          example: 0
          examples:
            - 0
          title: Shared Vm Count Limit
          type: integer
        shared_vm_count_requested:
          description: Basic VMs Count requested
          example: 1
          examples:
            - 1
          title: Shared Vm Count Requested
          type: integer
        shared_vm_count_usage:
          description: Basic VMs Count usage
          example: 0
          examples:
            - 0
          title: Shared Vm Count Usage
          type: integer
        snapshot_schedule_count_limit:
          description: Snapshot Schedules Count limit
          example: 0
          examples:
            - 0
          title: Snapshot Schedule Count Limit
          type: integer
        snapshot_schedule_count_requested:
          description: Snapshot Schedules Count requested
          example: 1
          examples:
            - 1
          title: Snapshot Schedule Count Requested
          type: integer
        snapshot_schedule_count_usage:
          description: Snapshot Schedules Count usage
          example: 0
          examples:
            - 0
          title: Snapshot Schedule Count Usage
          type: integer
        subnet_count_limit:
          description: Subnets Count limit
          example: 0
          examples:
            - 0
          title: Subnet Count Limit
          type: integer
        subnet_count_requested:
          description: Subnets Count requested
          example: 1
          examples:
            - 1
          title: Subnet Count Requested
          type: integer
        subnet_count_usage:
          description: Subnets Count usage
          example: 0
          examples:
            - 0
          title: Subnet Count Usage
          type: integer
        vm_count_limit:
          description: Instances Dedicated Count limit
          example: 0
          examples:
            - 0
          title: Vm Count Limit
          type: integer
        vm_count_requested:
          description: Instances Dedicated Count requested
          example: 1
          examples:
            - 1
          title: Vm Count Requested
          type: integer
        vm_count_usage:
          description: Instances Dedicated Count usage
          example: 0
          examples:
            - 0
          title: Vm Count Usage
          type: integer
        volume_count_limit:
          description: Volumes Count limit
          example: 0
          examples:
            - 0
          title: Volume Count Limit
          type: integer
        volume_count_requested:
          description: Volumes Count requested
          example: 1
          examples:
            - 1
          title: Volume Count Requested
          type: integer
        volume_count_usage:
          description: Volumes Count usage
          example: 0
          examples:
            - 0
          title: Volume Count Usage
          type: integer
        volume_size_limit:
          description: Volumes Size, GiB limit
          example: 0
          examples:
            - 0
          title: Volume Size Limit
          type: integer
        volume_size_requested:
          description: Volumes Size, GiB requested
          example: 1
          examples:
            - 1
          title: Volume Size Requested
          type: integer
        volume_size_usage:
          description: Volumes Size, GiB usage
          example: 0
          examples:
            - 0
          title: Volume Size Usage
          type: integer
        volume_snapshots_count_limit:
          description: Snapshots Count limit
          example: 0
          examples:
            - 0
          title: Volume Snapshots Count Limit
          type: integer
        volume_snapshots_count_requested:
          description: Snapshots Count requested
          example: 1
          examples:
            - 1
          title: Volume Snapshots Count Requested
          type: integer
        volume_snapshots_count_usage:
          description: Snapshots Count usage
          example: 0
          examples:
            - 0
          title: Volume Snapshots Count Usage
          type: integer
        volume_snapshots_size_limit:
          description: Snapshots Size, GiB limit
          example: 0
          examples:
            - 0
          title: Volume Snapshots Size Limit
          type: integer
        volume_snapshots_size_requested:
          description: Snapshots Size, GiB requested
          example: 1
          examples:
            - 1
          title: Volume Snapshots Size Requested
          type: integer
        volume_snapshots_size_usage:
          description: Snapshots Size, GiB usage
          example: 0
          examples:
            - 0
          title: Volume Snapshots Size Usage
          type: integer
      title: RegionRequestedQuotasSerializer
      type: object
    NewVmInterfaceSerializersPydantic:
      discriminator:
        mapping:
          any_subnet:
            $ref: '#/components/schemas/NewInterfaceAnySubnetFipSerializerPydantic'
          external:
            $ref: '#/components/schemas/NewInterfaceExternalSerializerPydantic'
          reserved_fixed_ip:
            $ref: >-
              #/components/schemas/NewInterfaceReservedFixedIpFipSerializerPydantic
          subnet:
            $ref: >-
              #/components/schemas/NewInterfaceSpecificSubnetFipSerializerPydantic
        propertyName: type
      oneOf:
        - $ref: '#/components/schemas/NewInterfaceExternalSerializerPydantic'
        - $ref: '#/components/schemas/NewInterfaceSpecificSubnetFipSerializerPydantic'
        - $ref: '#/components/schemas/NewInterfaceAnySubnetFipSerializerPydantic'
        - $ref: >-
            #/components/schemas/NewInterfaceReservedFixedIpFipSerializerPydantic
      title: NewVmInterfaceSerializersPydantic
    NewInterfaceAnySubnetFipSerializerPydantic:
      example:
        floating_ip:
          existing_floating_id: 57be69f6-6f6a-4f03-a4ad-8eb86c69ec0a
          source: existing
        interface_name: my-any-subnet-interface
        ip_address: 192.168.6.9
        network_id: 59905c8e-2619-420a-b046-536096473370
        type: any_subnet
      examples:
        - floating_ip:
            existing_floating_id: 57be69f6-6f6a-4f03-a4ad-8eb86c69ec0a
            source: existing
          interface_name: my-any-subnet-interface
          ip_address: 192.168.6.9
          network_id: 59905c8e-2619-420a-b046-536096473370
          type: any_subnet
      properties:
        floating_ip:
          description: >-
            Allows the instance to have a public IP that can be reached from the
            internet.
          discriminator:
            mapping:
              existing:
                $ref: >-
                  #/components/schemas/ExistingInstanceFloatingIpInterfaceSerializer
              new:
                $ref: '#/components/schemas/NewInstanceFloatingIpInterfaceSerializer'
            propertyName: source
          oneOf:
            - $ref: '#/components/schemas/NewInstanceFloatingIpInterfaceSerializer'
            - $ref: >-
                #/components/schemas/ExistingInstanceFloatingIpInterfaceSerializer
          title: Floating Ip
        interface_name:
          description: >-
            Interface name. Defaults to `null` and is returned as `null` in the
            API response if not set.
          maxLength: 37
          title: Interface Name
          type: string
        ip_address:
          description: You can specify a specific IP address from your subnet.
          format: ipvanyaddress
          title: Ip Address
          type: string
        ip_family:
          anyOf:
            - $ref: '#/components/schemas/InterfaceIPFamily'
            - type: 'null'
          default: ipv4
          description: Specify `ipv4`, `ipv6`, or `dual` to enable both.
        network_id:
          description: The network where the instance will be connected.
          format: uuid4
          title: Network Id
          type: string
        security_groups:
          description: >-
            Specifies security group UUIDs to be applied to the instance network
            interface.
          items:
            $ref: '#/components/schemas/MandatoryIdSerializerPydantic'
          title: Security Groups
          type: array
        type:
          const: any_subnet
          description: >-
            Instance will be attached to a subnet with the largest count of free
            IPs.
          title: Type
          type: string
      required:
        - type
        - network_id
      title: NewInterfaceAnySubnetFipSerializerPydantic
      type: object
    NewInterfaceExternalSerializerPydantic:
      description: Instance will be attached to default external network
      example:
        interface_name: eth0
        ip_family: ipv4
        type: external
      examples:
        - interface_name: eth0
          ip_family: ipv4
          type: external
      properties:
        interface_name:
          description: >-
            Interface name. Defaults to `null` and is returned as `null` in the
            API response if not set.
          maxLength: 37
          title: Interface Name
          type: string
        ip_family:
          anyOf:
            - $ref: '#/components/schemas/InterfaceIPFamily'
            - type: 'null'
          default: ipv4
          description: Specify `ipv4`, `ipv6`, or `dual` to enable both.
        security_groups:
          description: >-
            Specifies security group UUIDs to be applied to the instance network
            interface.
          items:
            $ref: '#/components/schemas/MandatoryIdSerializerPydantic'
          title: Security Groups
          type: array
        type:
          const: external
          description: A public IP address will be assigned to the instance.
          title: Type
          type: string
      required:
        - type
      title: NewInterfaceExternalSerializerPydantic
      type: object
    NewInterfaceReservedFixedIpFipSerializerPydantic:
      example:
        floating_ip:
          source: new
        interface_name: my-interface
        port_id: 59905c8e-2619-420a-b046-536096473370
        type: reserved_fixed_ip
      examples:
        - floating_ip:
            source: new
          interface_name: my-interface
          port_id: 59905c8e-2619-420a-b046-536096473370
          type: reserved_fixed_ip
      properties:
        floating_ip:
          description: >-
            Allows the instance to have a public IP that can be reached from the
            internet.
          discriminator:
            mapping:
              existing:
                $ref: >-
                  #/components/schemas/ExistingInstanceFloatingIpInterfaceSerializer
              new:
                $ref: '#/components/schemas/NewInstanceFloatingIpInterfaceSerializer'
            propertyName: source
          oneOf:
            - $ref: '#/components/schemas/NewInstanceFloatingIpInterfaceSerializer'
            - $ref: >-
                #/components/schemas/ExistingInstanceFloatingIpInterfaceSerializer
          title: Floating Ip
        interface_name:
          description: >-
            Interface name. Defaults to `null` and is returned as `null` in the
            API response if not set.
          maxLength: 37
          title: Interface Name
          type: string
        port_id:
          description: >-
            Network ID the subnet belongs to. Port will be plugged in this
            network.
          title: Port Id
          type: string
        security_groups:
          description: >-
            Specifies security group UUIDs to be applied to the instance network
            interface.
          items:
            $ref: '#/components/schemas/MandatoryIdSerializerPydantic'
          title: Security Groups
          type: array
        type:
          const: reserved_fixed_ip
          description: >-
            An existing available reserved fixed IP will be attached to the
            instance. If the reserved IP is not public and you choose to add a
            floating IP, the instance will be accessible from the internet.
          title: Type
          type: string
      required:
        - type
        - port_id
      title: NewInterfaceReservedFixedIpFipSerializerPydantic
      type: object
    NewInterfaceSpecificSubnetFipSerializerPydantic:
      description: >-
        The instance will get an IP address from the selected network.

        If you choose to add a floating IP, the instance will be reachable from
        the internet.

        Otherwise, it will only have a private IP within the network.
      example:
        floating_ip:
          existing_floating_id: 57be69f6-6f6a-4f03-a4ad-8eb86c69ec0a
          source: existing
        network_id: 59905c8e-2619-420a-b046-536096473370
        subnet_id: e3c6ee77-48cb-416b-b204-11b492cc776e3
        type: subnet
      examples:
        - floating_ip:
            existing_floating_id: 57be69f6-6f6a-4f03-a4ad-8eb86c69ec0a
            source: existing
          network_id: 59905c8e-2619-420a-b046-536096473370
          subnet_id: e3c6ee77-48cb-416b-b204-11b492cc776e3
          type: subnet
      properties:
        floating_ip:
          description: >-
            Allows the instance to have a public IP that can be reached from the
            internet.
          discriminator:
            mapping:
              existing:
                $ref: >-
                  #/components/schemas/ExistingInstanceFloatingIpInterfaceSerializer
              new:
                $ref: '#/components/schemas/NewInstanceFloatingIpInterfaceSerializer'
            propertyName: source
          oneOf:
            - $ref: '#/components/schemas/NewInstanceFloatingIpInterfaceSerializer'
            - $ref: >-
                #/components/schemas/ExistingInstanceFloatingIpInterfaceSerializer
          title: Floating Ip
        interface_name:
          description: >-
            Interface name. Defaults to `null` and is returned as `null` in the
            API response if not set.
          maxLength: 37
          title: Interface Name
          type: string
        network_id:
          description: The network where the instance will be connected.
          format: uuid4
          title: Network Id
          type: string
        security_groups:
          description: >-
            Specifies security group UUIDs to be applied to the instance network
            interface.
          items:
            $ref: '#/components/schemas/MandatoryIdSerializerPydantic'
          title: Security Groups
          type: array
        subnet_id:
          description: The instance will get an IP address from this subnet.
          format: uuid4
          title: Subnet Id
          type: string
        type:
          const: subnet
          description: >-
            The instance will get an IP address from the selected network. If
            you choose to add a floating IP, the instance will be reachable from
            the internet. Otherwise, it will only have a private IP within the
            network.
          title: Type
          type: string
      required:
        - type
        - network_id
        - subnet_id
      title: NewInterfaceSpecificSubnetFipSerializerPydantic
      type: object
    ExistingInstanceFloatingIpInterfaceSerializer:
      properties:
        existing_floating_id:
          description: >-
            An existing available floating IP id must be specified if the source
            is set to `existing`
          example: e3c6ee77-48cb-416b-b204-11b492cc776e3
          examples:
            - e3c6ee77-48cb-416b-b204-11b492cc776e3
          format: uuid4
          title: Existing Floating Id
          type: string
        source:
          const: existing
          description: >-
            An existing available floating IP will be attached to the instance.
            A floating IP is a public IP that makes the instance accessible from
            the internet, even if it only has a private IP. It works like SNAT,
            allowing outgoing and incoming traffic.
          example: existing
          examples:
            - existing
          title: Source
          type: string
      required:
        - source
        - existing_floating_id
      title: Existing floating IP
      type: object
    NewInstanceFloatingIpInterfaceSerializer:
      properties:
        source:
          const: new
          description: >-
            A new floating IP will be created and attached to the instance. A
            floating IP is a public IP that makes the instance accessible from
            the internet, even if it only has a private IP. It works like SNAT,
            allowing outgoing and incoming traffic.
          example: new
          examples:
            - new
          title: Source
          type: string
      required:
        - source
      title: New floating IP
      type: object
    InterfaceIPFamily:
      enum:
        - dual
        - ipv4
        - ipv6
      title: InterfaceIPFamily
      type: string
    MandatoryIdSerializerPydantic:
      properties:
        id:
          description: Resource ID
          example: ae74714c-c380-48b4-87f8-758d656cdad6
          examples:
            - ae74714c-c380-48b4-87f8-758d656cdad6
          format: uuid4
          title: Id
          type: string
      required:
        - id
      title: MandatoryIdSchema schema
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````